SnowCon-undrum

In case I haven't mentioned it yet, SnowCon is coming up. I'm looking forward to running WarHammer Fantasy Roleplay (WFRP) this year (I signed up to do it at last year's con). However, I do have this one problem.

I play the original version of WFRP, or 1e, if you will. Unfortunately, that version is no longer supported. Supplies are hard to find, and when you do find them they are expensive (I'm still looking for the disposable income to purchase the Doomstones campaign from Amazon). If I run 1e and people love it, they would be hard pressed to start playing.

If I run 2e, I need to get used to the updated system, and fast. I've read the handbook, decided some things are cool and somethings aren't, and put the book away. Like 1e, it does come with an adventure in the back, so running it might not be that hard. I just have to decide.

Also, I've heard tell that 3e is in the works. How long will it be before 2e isn't supported anymore, either? See the decisions I have to make?

I want to introduce people to the greatness that is WFRP, but I'm not sure which edition to run! Should I run the edition I know the best, with my only goal being to give the players a good time? Or, do I have some kind of responsibility to run the most current edition so they can leave the con and start playing if they want to?

Comments

Emperor said…
Hmmm...maybe I should go this year...
DiceScreaming said…
You should run the newest edition.
Absolutely.
Squirrely said…
That's what I was thinking.

Popular posts from this blog

Character Profiles: Maximillian Morningglory (WFRP 2e)

[WFRP 2e] Renegade Princeps 42

[D&D 2e] The Tomb of the Lizard King 1